Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Epsilon » Installation Error
Installation Error [message #632770] Thu, 14 October 2010 08:50 Go to next message
Henning is currently offline HenningFriend
Messages: 32
Registered: October 2010
Member
Hello!

When I try to install Epsilon from the update site to my Eclipse (Helios equipped with several plugins) I get the following error during installation:

An error occurred while installing the items
session context was:(profile=epp.package.modeling, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.epsilon.antlr 0.8.9.201004151115, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.ac tions.InstallBundleAction).
Error while loading manipulator.
Error while loading manipulator.

However, I was able to install in a clean and fresh Eclipse installation. How do I get Epsilon installed in my Helios?

Greets,

Henning

[Updated on: Thu, 14 October 2010 08:50]

Report message to a moderator

Re: Installation Error [message #632805 is a reply to message #632770] Thu, 14 October 2010 09:35 Go to previous messageGo to next message
Dimitrios Kolovos is currently offline Dimitrios KolovosFriend
Messages: 1776
Registered: July 2009
Senior Member
Hi Henning,

I've never encountered such an error before so I must admit I don't have
a clue :) It's probably worth posting a question about this to the
eclipse.p2 newsgroup to get some hints about what this error means and
we can then take it from there...

Cheers,
Dimitris

Henning wrote:
> Hello!
>
> When I try to install Epsilon from the update site to my Eclipse (Helios
> equipped with several plugins) I get the following error during
> installation:
>
> An error occurred while installing the items
> session context was:(profile=epp.package.modeling,
> phase=org.eclipse.equinox.internal.p2.engine.phases.Install,
> operand=null --> [R]org.eclipse.epsilon.antlr 0.8.9.201004151115,
> action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.ac
> tions.InstallBundleAction).
> Error while loading manipulator.
> Error while loading manipulator.
>
> However, I was able to install in a clean and fresh Eclipse
> installation. How do I get Epsilon installed in my Helios?
>
> Greets,
>
> Henning
>
Re: Installation Error [message #633228 is a reply to message #632805] Fri, 15 October 2010 18:50 Go to previous messageGo to next message
Henning is currently offline HenningFriend
Messages: 32
Registered: October 2010
Member
Hi Dimitris,

I posted as you suggest a request in the eclipse.p2 forum. You can find it here.

So far so good...

Henning
Re: Installation Error [message #636902 is a reply to message #633228] Wed, 03 November 2010 09:48 Go to previous messageGo to next message
Henning is currently offline HenningFriend
Messages: 32
Registered: October 2010
Member
After I posted my stack trace of the error Henrik asked me to post again here, because it seems to be an configuration error or something like it.

Quote:

Error indicates that there is a mismatch between where configuration
files are expected to be. Suggest asking the Epsilon folks if they have
any ideas what they could be doing to cause this.

Some possible causes could be creating a runnable that is not movable
from its location and then installing someplace else, or perhaps by
using manually added install instructions using some constant value
(instead of actual location).

- henrik



The stack trace is the following:

java.lang.IllegalStateException: The framework persistent data location (/Applications/eclipse/Eclipse.app/Contents/MacOS/configurat ion) is not the same as the framework configuration location (/Applications/eclipse/configuration).
at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM anipulatorImpl.checkConsistencyOfFwConfigLocAndFwPersistentD ataLoc(EquinoxManipulatorImpl.java:65)
at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM anipulatorImpl.loadWithoutFwPersistentData(EquinoxManipulato rImpl.java:348)
at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM anipulatorImpl.load(EquinoxManipulatorImpl.java:319)
at org.eclipse.equinox.internal.p2.touchpoint.eclipse.LazyManip ulator.loadDelegate(LazyManipulator.java:54)
at org.eclipse.equinox.internal.p2.touchpoint.eclipse.LazyManip ulator.getConfigData(LazyManipulator.java:107)
at org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.I nstallBundleAction.installBundle(InstallBundleAction.java:80 )
at org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.I nstallBundleAction.execute(InstallBundleAction.java:32)
at org.eclipse.equinox.internal.p2.engine.ParameterizedProvisio ningAction.execute(ParameterizedProvisioningAction.java:35)
at org.eclipse.equinox.internal.p2.engine.Phase.mainPerform(Pha se.java:149)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.j ava:78)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(Phas eSet.java:44)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine .java:73)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine .java:44)
at org.eclipse.equinox.p2.operations.ProvisioningSession.perfor mProvisioningPlan(ProvisioningSession.java:174)
at org.eclipse.equinox.p2.operations.ProfileModificationJob.run Modal(ProfileModificationJob.java:79)
at org.eclipse.equinox.p2.operations.ProvisioningJob.run(Provis ioningJob.java:177)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

So where do we take it from here? What information can I provide to solve this?

Best regards,

Henning
Re: Installation Error [message #636937 is a reply to message #636902] Wed, 03 November 2010 12:32 Go to previous message
Dimitrios Kolovos is currently offline Dimitrios KolovosFriend
Messages: 1776
Registered: July 2009
Senior Member
Hi Henning,

Since Epsilon installs fine in a clean Helios instance could it perhaps
be some other plugin you've already installed that's causing this?

Cheers,
Dimitris

On 03/11/2010 09:48, Henning wrote:
> After I posted my stack trace of the error Henrik asked me to post again
> here, because it seems to be an configuration error or something like it.
>
> Quote:
>> Error indicates that there is a mismatch between where configuration
>> files are expected to be. Suggest asking the Epsilon folks if they
>> have any ideas what they could be doing to cause this.
>>
>> Some possible causes could be creating a runnable that is not movable
>> from its location and then installing someplace else, or perhaps by
>> using manually added install instructions using some constant value
>> (instead of actual location).
>>
>> - henrik
>
>
> The stack trace is the following:
>
> java.lang.IllegalStateException: The framework persistent data location
> (/Applications/eclipse/Eclipse.app/Contents/MacOS/configurat ion) is not
> the same as the framework configuration location
> (/Applications/eclipse/configuration).
> at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM
> anipulatorImpl.checkConsistencyOfFwConfigLocAndFwPersistentD
> ataLoc(EquinoxManipulatorImpl.java:65)
> at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM
> anipulatorImpl.loadWithoutFwPersistentData(EquinoxManipulato
> rImpl.java:348)
> at org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxM
> anipulatorImpl.load(EquinoxManipulatorImpl.java:319)
> at org.eclipse.equinox.internal.p2.touchpoint.eclipse.LazyManip
> ulator.loadDelegate(LazyManipulator.java:54)
> at org.eclipse.equinox.internal.p2.touchpoint.eclipse.LazyManip
> ulator.getConfigData(LazyManipulator.java:107)
> at org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.I
> nstallBundleAction.installBundle(InstallBundleAction.java:80 )
> at org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.I
> nstallBundleAction.execute(InstallBundleAction.java:32)
> at org.eclipse.equinox.internal.p2.engine.ParameterizedProvisio
> ningAction.execute(ParameterizedProvisioningAction.java:35)
> at org.eclipse.equinox.internal.p2.engine.Phase.mainPerform(Pha
> se.java:149)
> at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.j ava:78)
> at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(Phas
> eSet.java:44)
> at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine .java:73)
> at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine .java:44)
> at org.eclipse.equinox.p2.operations.ProvisioningSession.perfor
> mProvisioningPlan(ProvisioningSession.java:174)
> at org.eclipse.equinox.p2.operations.ProfileModificationJob.run
> Modal(ProfileModificationJob.java:79)
> at org.eclipse.equinox.p2.operations.ProvisioningJob.run(Provis
> ioningJob.java:177)
> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
>
> So where do we take it from here? What information can I provide to
> solve this?
>
> Best regards,
>
> Henning
>
Previous Topic:Create view linking with editor
Next Topic:Using registered meta model
Goto Forum:
  


Current Time: Sun Dec 21 05:44:46 GMT 2014

Powered by FUDForum. Page generated in 0.01760 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software